[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.GetFloating

Guess whether the control is floating.

## Declaration

Source position: controls.pp line 1128

`protected function TControl.GetFloating: Boolean; virtual;`

## Description

Floating state is assumed when the control has a HostDockSite of FloatingDockSiteClass, and is the only docked client.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.